# Basic Information
Name: grub-customizer
Version: 3.0.4
Release: 5
Summary: Graphical interface to configure the grub2/burg settings
Group: System/Configuration/Boot and Init
License: GPLv3
URL: https://launchpad.net/grub-customizer

# Source Information
Source0: %{name}_%{version}.tar.gz
Source1: %{name}-grub.cfg
Source2: %{name}-pamd
Patch0: %{name}-sbin.patch
Patch1: grub-customizer-3.0.4-russian_desktopfile.patch

# Dependency Information
BuildRequires: cmake gcc-c++ gtkmm2.4-devel gettext openssl-devel grub2
Requires: grub2

%description
Grub Customizer is a graphical interface to configure the grub2/burg
settings with focus on the individual list order - without losing the
dynamical behavior of grub.

%prep
#%setup -q -c -n %{name}-%{version}
%setup -q
%patch0 -p2
%patch1 -p1

%build
%cmake
%make

%install
mkdir %{buildroot}/etc/%{name} -p
cp %{SOURCE1} %{buildroot}/etc/%{name}/grub.cfg
mkdir %{buildroot}/etc/pam.d -p
cp %{SOURCE2} %{buildroot}/etc/pam.d/%{name}
cd build
make install DESTDIR=%{buildroot}
cd ..
mkdir %{buildroot}/%{_bindir} -p
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name} << EOF
USER=root
PROGRAM=/usr/sbin/grub-customizer
FALLBACK=false
SESSION=true
EOF

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/polkit-1/*
%{_mandir}/man1/*
%{_iconsdir}/*
%{_libdir}/*
%{_sysconfdir}/*
%exclude /usr/lib/debug/


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.0.4-5
+ Revision: 9b67e0f
- MassBuild#440: Increase release tag


